SurfaceFileReader
Date: 2019-10-22

org.jmol.jvxl.readers

## Class SurfaceFileReader

- java.lang.Object
- - org.jmol.jvxl.readers.SurfaceReader
  - - org.jmol.jvxl.readers.SurfaceFileReader

- All Implemented Interfaces:
    VertexDataServer
  Direct Known Subclasses:
    PolygonFileReader, VolumeFileReader

      abstract class SurfaceFileReader
      extends SurfaceReader

  PolygonFileReader or VolumeFileReader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javajs.api.GenericBinaryDocument` | `binarydoc`
    `protected java.io.BufferedReader` | `br`
    `protected java.lang.String` | `line`
    `protected int[]` | `next`
    `protected javajs.util.OC` | `out`

    - ### Fields inherited from class org.jmol.jvxl.readers.SurfaceReader

      `allowSigma, ANGSTROMS_PER_BOHR, anisotropy, center, cJvxlEdgeNaN, colorFractionBase, colorFractionRange, contourVertexCount, dataMax, dataMean, dataMin, defaultCutoff, defaultMappedDataMax, defaultMappedDataMin, eccentricityMatrix, eccentricityMatrixInverse, eccentricityRatio, eccentricityScale, edgeFractionBase, edgeFractionRange, fractionData, hasColorData, haveSurfaceAtoms, isAnisotropic, isEccentric, isJvxl, isPeriodic, isProgressive, isQuiet, isXLowToHigh, jvxlColorDataRead, jvxlCutoff, jvxlData, jvxlDataIs2dContour, jvxlDataIsColorDensity, jvxlDataIsColorMapped, jvxlDataIsPrecisionColor, jvxlEdgeDataRead, jvxlFileHeaderBuffer, jvxlNSurfaceInts, jvxlVoxelBitSet, marchingCubes, marchingSquares, meshData, meshDataServer, minMax, nBytes, nDataPoints, nPointsX, nPointsY, nPointsZ, params, ptTemp, qpc, sg, vertexDataOnly, volumeData, volumetricOrigin, volumetricVectors, voxelCounts, voxelData, xyzMax, xyzMin, yzCount, yzPlanes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SurfaceFileReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `closeReader()`
    `protected void` | `closeReaderSFR()`
    `(package private) void` | `discardTempData(boolean discardAll)`
    `protected java.lang.String` | `getQuotedStringNext()`
    `protected java.lang.String[]` | `getTokens()`
    `(package private) void` | `init(SurfaceGenerator sg)` implemented in SurfaceFileReader and
    `(package private) void` | `init2(SurfaceGenerator sg, java.io.BufferedReader br)`
    `(package private) void` | `init2SFR(SurfaceGenerator sg, java.io.BufferedReader br)`
    `(package private) javajs.api.GenericBinaryDocument` | `newBinaryDocument()`
    `protected float` | `parseFloat()`
    `protected float[]` | `parseFloatArray(float[] a, java.lang.String strStart, java.lang.String strEnd)`
    `protected float[]` | `parseFloatArrayStr(java.lang.String s)`
    `protected float` | `parseFloatRange(java.lang.String s, int iStart, int iEnd)`
    `protected float` | `parseFloatStr(java.lang.String s)`
    `protected int` | `parseInt()`
    `protected int` | `parseIntNext(java.lang.String s)`
    `protected int` | `parseIntStr(java.lang.String s)`
    `protected java.lang.String` | `rd()`
    `protected void` | `setOutputChannel(javajs.util.OC out)`
    `protected void` | `setStream(java.lang.String fileName, boolean isBigEndian)`
    `protected void` | `skipTo(java.lang.String info, java.lang.String what)`

    - ### Methods inherited from class org.jmol.jvxl.readers.SurfaceReader

      `addTriangleCheck, addVC, addVertexCopy, applyColorScale, colorIsosurface, createIsosurface, discardTempDataSR, excludeMaximumSet, excludeMinimumSet, finalizeMapping, getColorPhaseIndex, getMinMaxMappedValues, getPlane, getPlaneSR, getSPF, getSurfaceAtomIndex, getSurfacePointAndFraction, getSurfacePointIndexAndFraction, getValue, getValue2, getValueAtPoint, gotoAndReadVoxelData, gotoData, initializeMapping, initializeVolumetricData, initPlanes, initSR, jvxlUpdateInfo, newVoxelDataCube, postProcessVertices, readAndSetVolumeParameters, readColorData, readSurfaceData, readVolumeData, readVolumeParameters, resetIsosurface, selectPocket, setBBox, setVectorAnisotropy, setVertexAnisotropy, setVolumeDataV, setVolumetricAnisotropy, setVolumetricOriginAnisotropy, slabIsosurface, updateSurfaceData, updateTriangles`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### br

          protected java.io.BufferedReader br

    - #### binarydoc

          protected javajs.api.GenericBinaryDocument binarydoc

    - #### out

          protected javajs.util.OC out

    - #### line

          protected java.lang.String line

    - #### next

          protected int[] next

  - ### Constructor Detail

    - #### SurfaceFileReader

          SurfaceFileReader()

  - ### Method Detail

    - #### setStream

          protected void setStream(java.lang.String fileName,
                                   boolean isBigEndian)

    - #### init

          void init(SurfaceGenerator sg)

      Description copied from class: `SurfaceReader`
      implemented in SurfaceFileReader and
      Specified by:
        `init` in class `SurfaceReader`

    - #### init2

          void init2(SurfaceGenerator sg,
                     java.io.BufferedReader br)

    - #### init2SFR

          void init2SFR(SurfaceGenerator sg,
                        java.io.BufferedReader br)

    - #### newBinaryDocument

          javajs.api.GenericBinaryDocument newBinaryDocument()

    - #### setOutputChannel

          protected void setOutputChannel(javajs.util.OC out)

      Overrides:
        `setOutputChannel` in class `SurfaceReader`

    - #### closeReader

          protected void closeReader()

      Specified by:
        `closeReader` in class `SurfaceReader`

    - #### closeReaderSFR

          protected void closeReaderSFR()

    - #### discardTempData

          void discardTempData(boolean discardAll)

      Overrides:
        `discardTempData` in class `SurfaceReader`

    - #### getTokens

          protected java.lang.String[] getTokens()

    - #### parseFloat

          protected float parseFloat()

    - #### parseFloatStr

          protected float parseFloatStr(java.lang.String s)

    - #### parseFloatRange

          protected float parseFloatRange(java.lang.String s,
                                          int iStart,
                                          int iEnd)

    - #### parseInt

          protected int parseInt()

    - #### parseIntStr

          protected int parseIntStr(java.lang.String s)

    - #### parseIntNext

          protected int parseIntNext(java.lang.String s)

    - #### parseFloatArrayStr

          protected float[] parseFloatArrayStr(java.lang.String s)

    - #### parseFloatArray

          protected float[] parseFloatArray(float[] a,
                                            java.lang.String strStart,
                                            java.lang.String strEnd)

    - #### getQuotedStringNext

          protected java.lang.String getQuotedStringNext()

    - #### skipTo

          protected void skipTo(java.lang.String info,
                                java.lang.String what)
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### rd

          protected java.lang.String rd()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`